%global npm_name fs-minipass
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 3
Summary: fs read and write streams based on minipass
License: ISC
Group: Development/Other
URL: https://github.com/npm/fs-minipass#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.0.1-3.mga9
+ Revision: 1820538
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 neoclust <neoclust> 2.0.1-2.mga8
+ Revision: 1667529
- Remove forced deps

* Thu Dec 31 2020 neoclust <neoclust> 2.0.1-1.mga8
+ Revision: 1667389
- New version 2.0.1

* Thu Oct 22 2020 joequant <joequant> 1.2.5-5.mga8
+ Revision: 1638364
- fix deps

* Fri Oct 02 2020 tv <tv> 1.2.5-4.mga8
+ Revision: 1631670
- rebuild in order to fix deps

* Wed Feb 12 2020 umeabot <umeabot> 1.2.5-3.mga8
+ Revision: 1502690
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.5-2.mga7
+ Revision: 1280486
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.2.5-1.mga7
+ Revision: 1224928
- imported package nodejs-fs-minipass

